Enum Class IpBlockQuestionType
- All Implemented Interfaces:
APIParam, Serializable, Comparable<IpBlockQuestionType>, Constable
RIR justification question asked for a provider-assigned IP block (spec schema
IpBlockQuestions, property type). UNKNOWN is a read-side fallback for
values added after this SDK release - never send it.-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum ConstantsEnum ConstantDescription -
Method Summary
Modifier and TypeMethodDescriptionstatic IpBlockQuestionTypefromString(String value) static IpBlockQuestionTypeReturns the enum constant of this class with the specified name.static IpBlockQuestionType[]values()Returns an array containing the constants of this enum class, in the order they are declared.Methods inherited from class Enum
clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOfMethods inherited from interface APIParam
paramValueModifier and TypeMethodDescriptiondefault StringThe value exactly as it must appear on the wire in a query or path parameter.
-
Enum Constant Details
-
PRIVATE_SPACE_CONSIDERED
-
REFUSED_PREVIOUSLY
-
RETURNING_ADDRESS_SPACE
-
UNKNOWN
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
fromString
-